[workspace]
members = [
    "common",
    "biceps",
    "network",
    "protosdc",
    "dpws",
    "common_test",
    "sdc"
]
resolver = "2"

[workspace.dependencies]
protosdc-proto = { git = "https://gitlab.com/sdc-suite/protosdc/protosdc-rs-model-prebuild.git", branch = "build_feature/rust_bump_tonic_49" }
protosdc-biceps = { git = "https://gitlab.com/sdc-suite/protosdc/protosdc-rs-model-prebuild.git", branch = "build_feature/rust_bump_tonic_49" }
protosdc-mapping = { git = "https://gitlab.com/sdc-suite/protosdc/protosdc-rs-model-prebuild.git", branch = "build_feature/rust_bump_tonic_49" }
protosdc-xml = { git = "https://gitlab.com/sdc-suite/protosdc/protosdc-rs-model-prebuild.git", branch = "build_feature/rust_bump_tonic_49" }

log = "0.4"
env_logger = "0.10"
async-trait = "0.1"
lazy_static = "1.4"
futures = "0.3"
tokio = { version = "1.27", features = ["macros", "time", "rt", "fs", "rt-multi-thread"] }
tokio-stream = { version = "0.1", features = ["sync", "net"] }
tokio-rustls = { version = ">=0.26", features = ["ring"] }
rustls = {version = "~0.23", features = ["ring"] }
tokio-util = { version = "0.7", features = ["net", "codec"] }
rustls-webpki = ">=0.102,<0.103"
rustls-pki-types = "~1.7.0"

hyper = { version = "1.3", features = ["full"] }
hyper-util = "0.1.5"
tower = "~0.4"

tonic = { version = "0.12.3", features = ["tls"] }
prost = "~0.13"

http = "~1.1.0"

anyhow = "1.0"
thiserror = "1.0"
bytes = "1.3"
url = "2"
itertools = "0.12.0"
paste = "1"
uuid = { version = "1.1.2", features = ["v4"] }
x509-parser = "0.13"

regex = "1"
const_format = "0.2"

rcgen = "0.11"

typed-builder = "0.18.1"

futures-util = "0.3"

[profile.dev]
# always clean build
incremental = false

[profile.dev-ci]
inherits = "dev"
# Disabling debug info speeds up builds a bunch and reduces target size
debug = 0

[profile.release]
strip = true